Subject: bug#65006: 29.1.50; c-ts-mode: else block not indented right on TAB

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Aug 2023 14:02:18 +0300

> From: john muhl <[email-masked]>
> Cc: Yuan Fu <[email-masked]>, [email-masked]
> Date: Mon, 07 Aug 2023 14:26:11 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Maybe we should track all those discussions, and voice our opinion
> > against changes whose reasons are not strong enough to justify
> > breakage?  For example, this particular PR was around since Sep 2022,
> > so we should have had ample time to voice our objections.
> >
> > And anyway, this again raises the issue of Someone™ volunteering to
> > keep track of these developments.  We already have 14 TS-based modes
> > in Emacs (on master), so this is not a trivial job, I think.
> 
> I’m now subscribed to all of the relevant grammar repos and will try to
> keep up with changes there. I’m probably not the right person to voice
> an opinion on them without consulting higher authorities but hopefully
> that part won’t be required very often.

Thank you.  Please post here whenever you see some changes planned
that might affect Emacs, and we will take it from there.

> > I agree that we have a problem here.  The only question is how to
> > solve it in a reasonable way that will hold given our development and
> > release schedules, and given the schedules of users and distros
> > upgrading the Emacs versions.
> 
> Do you think the benefit of having ts modes be core packages would be
> enough to justify whatever extra work that entails? It wouldn’t help
> with syncing up release schedules but “install the latest version from
> ELPA” might be enough better of an answer than “wait for the next Emacs
> release or build from master” for most people.

I think it's too early for us to make such conclusions.  We need to
collect more data points and experience.